Get Talent Job Activities

Returns a page of talent job activities, ordered from newest to oldest. At least one of talentId, jobId, or both startDate and endDate is required. When neither talentId nor jobId is provided, the date range is limited to 31 days.

Query Params
int32

The unique identifier for the talent whose job activities to return.

int32

The unique identifier for the job for which to return activities.

date

The start date for the activity search, in UTC and formatted as yyyy-MM-dd. Requires endDate.

date

The end date for the activity search, in UTC and formatted as yyyy-MM-dd. Requires startDate. For a single day, use the same date for startDate and endDate.

int32

The activity type identifier used to filter the results. A value of -1 selects custom stages.

int32
≥ 1
Defaults to 1

The page number to return, starting at 1.

int32
1 to 100
Defaults to 25

The number of job activities to return per page, from 1 to 100.

Headers
uuid

Unique request identifier (UUID) used to correlate request data with log entries and events.

integer

An integer identifier for the tenant that the request is being made for. Required when Tenant header is not provided.

string

Tenant company code that determines data access scope during the request. Required when FrontOfficeTenantId header is not provided.

Responses

401

Unauthorized

403

Access Denied

405

Unsupported method

406

Unsupported format(s) indicated by Accept header

415

Unsupported format(s) indicated by the Content-Type header

429

Too many requests

500

An unexpected error occurred

502

Service Unavailable

504

Gateway Timeout

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json